GCP Py4JNetworkError("Answer from Java side is empty")


#1

Hi,

I am running hail on GCP after starting my cluster using the cloudtools helpers. I am running Hail version devel-5702f5c6b299.

Yesterday my code seemed to be working fine, but today, I am getting the following error. rsid is listed as a row field in the mt.

Was anything changed?

hl.init()
mt = hl.read_matrix_table('gs://hail-datasets/hail-data/1000_genomes_phase3_autosomes.GRCh37.mt')
mt.describe() ...
mt.rsid.show(5)
ERROR:root:Exception while sending command.
Traceback (most recent call last):
  File "/usr/lib/spark/python/lib/py4j-0.10.4-src.zip/py4j/java_gateway.py", line 1035, in send_command
    raise Py4JNetworkError("Answer from Java side is empty")
py4j.protocol.Py4JNetworkError: Answer from Java side is empty

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/spark/python/lib/py4j-0.10.4-src.zip/py4j/java_gateway.py", line 883, in send_command
    response = connection.send_command(command)
  File "/usr/lib/spark/python/lib/py4j-0.10.4-src.zip/py4j/java_gateway.py", line 1040, in send_command
    "Error while receiving", e, proto.ERROR_ON_RECEIVE)
py4j.protocol.Py4JNetworkError: Error while receiving

Thanks for your support.


#2

Can you update to latest hash? I think this commit broke as we fiddled with our deployment server.


#3

Hey @greg-botwin , I’m sorry this happened to you. If you restart your cluster you should retrieve a SHA that works correctly. We had an issue with a bad SHA getting past our testing system and you happened to start a cluster while that SHA was still available. Those JARs have now been deleted and the latest SHA reset to a working version.


#4

Thanks @tpoterba @danking created a new cluster with version devel-b544caa82246 (its awesome how easy it is with cloudtools) and everything is working perfectly now!

Thanks,
Greg


#5

Great!